#include <iostream>
#include <string>
#include <vector>
#include "vision.h"
#include <algorithm>
#include <queue>
#include <map>
#include <set>
using namespace std ;
std::vector<int> getVisionPattern1d(){
    return {2,1,1,3};
}
int getMove1d(std::vector<int> v){
    int l= v.size();
    if (l==3){
        if (v[2]==3 || v[0]==2){
            return 2;
        }
        else{
            return 0;
        }
        
    }
    if (l==5){
        if(v[3]==1){
            return 4;
        }
        else{
            return 0;
        }
        
    }
    else{
        if (v[4]==2){
            return 6;
        }
        else{
            return 0;
        }
    }
}
std::vector<std::vector<int>> getVisionPattern2d(){

}
std::pair<int, int> getMove2d(std::vector<std::vector<int>> v){

}